developers-reference (14.14) unstable; urgency=medium

  [ Serafeim (Serafi) Zanikolas ]
  * pkgs: recommend fire-and-forget DELAYED workflow and mention dcut(1).
    Closes #1109323.
  * beyond-pkging: add section on handling repeated DD negligence.
    Closes #620686.

  [ Holger Levsen ]
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Thu, 25 Jun 2026 09:52:05 +0200

developers-reference (14.13) unstable; urgency=medium

  [ Tobias Frost ]
  * developer-duties:
    - update the return-from-emeritus process, it is also handled via nm.d.o.
    - SSO by certificates is gone, now salsa is used as auth provider.

  [ Holger Levsen ]
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Fri, 12 Jun 2026 17:18:04 +0200

developers-reference (14.12) unstable; urgency=medium

  [ Dorle Osterode ]
  * (de) index.po: Update translation
  * (de) best-pkging-practices.po: Update translation.

 -- Holger Levsen <holger@debian.org>  Sun, 07 Jun 2026 11:05:08 +0200

developers-reference (14.11) unstable; urgency=medium

  [ Holger Levsen ]
  * conf.py: update number of packages to 40000 and architectures to 8.

  [ Ian Jackson ]
  * conf.py: fix warning from sphinx.

 -- Holger Levsen <holger@debian.org>  Wed, 27 May 2026 11:53:04 +0200

developers-reference (14.10) unstable; urgency=medium

  [ Serafeim (Serafi) Zanikolas ]
  * pkgs, tools: update adequate section, and recommend it from "Testing the
    package". Closes: #1136791.
  * best-pkging-practices: encourage automatic verification of upstream release
    signatures. Closes: #742552.

  [ Holger Levsen ]
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Sat, 23 May 2026 19:12:16 +0200

developers-reference (14.9) unstable; urgency=medium

  [ Serafeim (Serafi) Zanikolas ]
  * pkgs: add a section with a checklist for new upstream versions.
    Closes: #301011.
  * conf.py: set paper size to A4. Closes: #1062983.

  [ Holger Levsen ]
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Tue, 19 May 2026 13:23:33 +0200

developers-reference (14.8) unstable; urgency=medium

  [ Serafeim (Serafi) Zanikolas ]
  * developer-duties, pkgs: point upstream to Debian package tracker
    subscriptions, and consolidate guidance about upstream issues.
    Closes: #757274, #908155.

  [ Holger Levsen ]
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Wed, 13 May 2026 13:20:56 +0200

developers-reference (14.7) unstable; urgency=medium


  [ Serafeim (Serafi) Zanikolas ]
  * developer-duties: add a section on decision making and expected attitude.
    Closes: #368841.
  * best-pkging-practices: add high level guidance for daemons and web apps.
    Closes: #150607.

 -- Holger Levsen <holger@debian.org>  Wed, 06 May 2026 11:46:23 +0200

developers-reference (14.6) unstable; urgency=medium

  [ Serafeim (Serafi) Zanikolas ]
  * best-pkging-practices: link to wiki.d.o/Hardening rather than an obsolete
    security manual. Closes: #1040914.
  * best-pkging-practices, pkgs: add basic guidelines on package names.
    Closes: #253511.
  * pkgs, resources: document PTS email subscriptions. Closes: #1040704.

  [ Holger Wansing ]
  * Create clickable manpages links.

  [ Holger Levsen ]
  * Add lintian-overrides for
    package-contains-documentation-outside-usr-share-doc for all binary
    packages as we have been shipping documentation in
    /usr/share/developers-reference/ since forever.

 -- Holger Levsen <holger@debian.org>  Tue, 28 Apr 2026 17:31:14 +0200

developers-reference (14.5) unstable; urgency=medium

  [ Paul Gevers ]
  * pkgs.rst: fix logic mistake in commit af72d74 in dev-ref release 13.14.

  [ Ian Jackson ]
  * best-pkging-practices.rst:
    - fix a syntax error.
    - use :force: to "ignore minor syntax errors".
  * pkgs.rst: remove broken ref: for git-buildpackage.
  * Add .gitignore for build/.
  * .gitignore: Ignore .mo files generated by translated builds.

  [ Holger Levsen ]
  * Bump standards version to 4.7.4, no changes needed.

 -- Holger Levsen <holger@debian.org>  Sun, 19 Apr 2026 16:27:11 +0200

developers-reference (14.4) unstable; urgency=medium

  [ Sean Whitton ]
  * pkgs:
    - document tag2upload's existence. Closes: #1127616.
    - delete obsolete paragraph about migration.

  [ Holger Levsen ]
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Thu, 12 Feb 2026 16:39:20 +0100

developers-reference (14.3) unstable; urgency=medium

  [ Dorle Osterode ]
  * (de) pkgs.po: Update translation.
  * (de) best-pkging-practices.po: Update translation.

  [ Holger Levsen ]
  * Update all .po files for changed strings in the English original.
  * d/copyright and index.rst: bump my copyright years.
  * Bump standards version to 4.7.3, optional priority is the default now.

 -- Holger Levsen <holger@debian.org>  Sun, 18 Jan 2026 20:33:37 +0100

developers-reference (14.2) unstable; urgency=medium

  [ Holger Levsen ]
  * Revert "Temporarily Disable pdf manual build to workaround #1114478" as
    the bug has been fixed in sphinx thanks to Dmitry Shachnev.

  [ Adrian Bunk ]
  * Fix encoding issues in the Russian translation, thanks to Dmitry Shachnev.
  * Enable pdf manual build also for Italian and Russian.

 -- Holger Levsen <holger@debian.org>  Sun, 23 Nov 2025 13:41:33 +0100

developers-reference (14.1) unstable; urgency=medium

  [ Holger Levsen ]
  * Start 14.x series, hello forky!
  * Temporarily disable pdf manual build to workaround #1114478.
  * Drop Rules-Requires-Root: no (now the default).
  * Move python3-sphinx from to B-D-I to B-D to fix clean target. Thanks to
    Rene Engelhard.
  * Update all .po files for changed strings in the English original.

  [ Otto Kekäläinen ]
  * Add new section "Best practices for debian/patches".

  [ наб ]
  * Mention the ~debNuM format in [old]stable uploads.

  [ Nicolas Schodet ]
  * best-pkging-practices: fix link to the library packaging guide.
    Closes: #1094412

  [ Dorle Osterode ]
  * (de) pkgs.po: Update translation.

  [ Colin Watson ]
  * Fix typos in architecture-properties advice.

 -- Holger Levsen <holger@debian.org>  Sun, 02 Nov 2025 12:14:54 +0100

developers-reference (13.20) unstable; urgency=medium

  [ Andreas Tille ]
  * pkgs:
    - Implement the suggestions by Lucas Nussbaum from
      https://lists.debian.org/debian-devel/2025/05/msg00142.html
    - Specify more clearly what non-controversal changes are.
    - Increase NMU time span.

  [ Holger Levsen ]
  * pkgs: prepare for when trixie is stable.
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Thu, 05 Jun 2025 16:58:52 +0200

developers-reference (13.19) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * Add git-buildpackage commands everyone should be aware of.

  [ Holger Levsen ]
  * Update all .po files for changed strings in the English original.
  * Add debian/salsa-ci.yml to configure+use that pipeline.

 -- Holger Levsen <holger@debian.org>  Fri, 16 May 2025 14:56:04 +0200

developers-reference (13.18) unstable; urgency=medium

  [ Holger Wansing ]
  * Fix CSS (hover colors in tables). Closes: #1093117.

 -- Holger Levsen <holger@debian.org>  Sun, 27 Apr 2025 10:01:37 +0200

developers-reference (13.17) unstable; urgency=medium

  [ Andreas Tille ]
  * pkgs.rst: fix typo.

  [ Dorle Osterode ]
  * Update German translations:
    - index.po
    - pkgs.po

  [ Gabriel Francisco ]
  * Makefile: assign values to variables immediately.

  [ Holger Levsen ]
  * Bump Standards-Version to 4.7.2, no changes needed.
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Mon, 03 Mar 2025 19:43:48 +0100

developers-reference (13.16) unstable; urgency=medium

  [ Bjarni Ingi Gislason ]
  * developers-reference.1: patch for editorial changes. Closes: #1089856.

  [ Dorle Osterode ]
  * (de) developer-duties.po: small fixes.

  [ Holger Levsen ]
  * d/copyright and index.rst: bump my copyright years.

 -- Holger Levsen <holger@debian.org>  Mon, 13 Jan 2025 18:52:48 +0100

developers-reference (13.15) unstable; urgency=medium

  [ Dorle Osterode ]
  * new-maintainers.rst: Update reference to OpenPGP RFC 9580, making RFC 4880
    obsolete.
  * Updated german translations: best-pkging-practices.po, pkgs.po,
    resources.po and tools.po.
  * Small fixes to german translations: developer-duties.po and scope.po.

  [ Holger Levsen ]
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Mon, 04 Nov 2024 14:06:44 +0100

developers-reference (13.14) unstable; urgency=medium

  [ Paul Gevers ]
  * pkgs.rst: add note on how to mark an architecture unsupported and how
    to define supported architectures based on endianess and similar.

  [ Holger Levsen ]
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Wed, 30 Oct 2024 16:11:46 +0100

developers-reference (13.13) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * tools.rst: mention the new tool debputy.

  [ Holger Levsen ]
  * best-pkging-practices.rst: link to Debian Rust Team Book.
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Fri, 25 Oct 2024 16:43:39 +0200

developers-reference (13.12) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * resources.rst: highlight in Salsa section that it also includes CI.
  * tools.rst: Mention debmake-doc (Guide for Debian Maintainers).

  [ Holger Levsen ]
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Wed, 16 Oct 2024 13:34:18 +0200

developers-reference (13.11) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * tools.rst: Do not claim this manual is written in DocBook XML.

  [ Dorle Osterode ]
  * (de) tools.po: Update translation.

  [ Holger Levsen ]
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Sun, 15 Sep 2024 14:52:12 +0200

developers-reference (13.10) unstable; urgency=medium

  [ Dorle Osterode ]
  * (de) pkgs.po: Update translation.

 -- Holger Levsen <holger@debian.org>  Sat, 24 Aug 2024 10:48:02 +0200

developers-reference (13.9) unstable; urgency=medium

  [ Lee Garrett ]
  * pkgs.rst: add info to not close p-u bugs via debian/changelog.
  * README.contributing: slight clarification.
  * Rename README.contributing to README.md.
  * Convert README to markdown.

  [ Holger Levsen ]
  * pkgs.rst: improve wording.
  * d/tests/xmllint-functions: ignore all _templates/ Closes: #1076489.
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Sun, 18 Aug 2024 16:16:39 +0900

developers-reference (13.8) unstable; urgency=medium

  [ Dorle Osterode ]
  * Update German translations of
    - best-pkging-practices.po.
    - pkgs.po.
    - de) l10n.po.

  [ Holger Levsen ]
  * source/_templates/layout.html: replace "&mdash;" with "–" because mdash
    is not defined in the DTD we are using. Closes: #1076489

 -- Holger Levsen <holger@debian.org>  Mon, 05 Aug 2024 16:14:38 +0900

developers-reference (13.7) unstable; urgency=medium

  [ Holger Wansing ]
  * Switch to the 'official' Debian-style html theme. (see MR!49)
  * Add language switcher in sidebar.
  * Add additional build-depends needed for our new theme.

 -- Holger Levsen <holger@debian.org>  Sun, 16 Jun 2024 18:48:20 +0200

developers-reference (13.6) unstable; urgency=medium

  [ James Addison ]
  * source/_static/switchers.js: repair the language-selection functionality
    by migrating from jQuery to built-in browser DOM functions.
    (Closes: debian/developers-reference#48)

 -- Holger Levsen <holger@debian.org>  Mon, 22 Apr 2024 13:10:06 +0200

developers-reference (13.5) unstable; urgency=medium

  [ Bastian Germann ]
  * best-pkging-practices: do not hint to use several Vcs fields for one pkg.

  [ Holger Levsen ]
  * Update all .po files for changed strings in the English original.
  * Bump standards version to 4.7.0, no changes needed.

 -- Holger Levsen <holger@debian.org>  Sun, 07 Apr 2024 13:19:29 +0200

developers-reference (13.4) unstable; urgency=medium

  [ Kentaro Hayashi ]
  * (ja) beyond-pkging.po: update 7.5.1 translation.
  * (ja) beyond-pkging.po: update 7.5.2 translation.

  [ Dr. Tobias Quathamer ]
  * (de) pkgs.po: Update translation

 -- Holger Levsen <holger@debian.org>  Sat, 23 Dec 2023 14:43:52 +0100

developers-reference (13.3) unstable; urgency=medium

  * l10n: overhaul of i18n / l10n chapter. Thanks to Holger Wansing.
    Closes: #1042779
  * Update all .po files for changed strings in the English original.

 -- Holger Levsen <holger@debian.org>  Sat, 05 Aug 2023 16:15:53 +0200

developers-reference (13.2) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * pkgs: add Policy pointer for stable version numbers.

  [ Holger Levsen ]
  * best-pkg-practices: use "libxml2" instead of "lyx" as example of using
    .install files.
  * Update all .po files for changed strings in the English original.

  [ Kentaro Hayashi ]
  * Japanese translation: resolve all fuzzy strings.

 -- Holger Levsen <holger@debian.org>  Thu, 06 Jul 2023 19:45:17 +0200

developers-reference (13.1) unstable; urgency=medium

  * Start 13.x series, hello trixie!
  * pkgs + resources: update references to older releases.
  * Update all .po files for changed strings in the English original.
  * Unfuzzy strings in German translation.

 -- Holger Levsen <holger@debian.org>  Sat, 17 Jun 2023 22:08:46 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog developers-reference`.
